package cn.com.ty.lift.batch.applet.dao.model;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description 急修数据
 */
@Data
public class EmergencyRepairDataModel {
    /**
     * 公司id
     */
    private Long mtCompanyId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 报修时间
     */
    private LocalDateTime callerDate;

    /**
     * 派单时间
     */
    private LocalDateTime assignTime;

    /**
     * 接单时间
     */
    private LocalDateTime takingTime;

    /**
     * 到达时间
     */
    private LocalDateTime arriveTime;

    /**
     * 恢复时间
     */
    private LocalDateTime recoveryDate;

    /**
     * 旧状态（0 待完成；1 已签到，待修理；2 已修理；3 待评价；4 完成）
     * 新状态（-1 暂停中，0 待修理；1 修理中；2 已完成 3 已关闭）
     * 待修理:派单之后 接单之前,修理中:接单到提交,已完成:提交之后
     */
    private Integer status;

    /**
     * 已读时间
     */
    private LocalDateTime readTime;
}
