package cn.com.ty.lift.business.annualinspection.dto;

import cn.com.ty.lift.common.utils.Judger;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 *     年检管理请求参数封装
 * </p>
 * @author wcz
 * @since 2019/12/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class InspectionRequest extends BaseRequestModel{

    @Judger(message = "年检记录ID有误")
    private Long id;
    /**
     * 区域id
     */
    @Judger(message = "区域ID有误")
    private Long regionId;

    /**
     * 维保公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 项目id
     */
    @Judger(message = "项目ID有误")
    private Long projectId;

    /**
     * 维保工id
     */
    @Judger(message = "维保工ID有误")
    private Long workerId;

    /**
     *  搜索条件 匹配电梯注册编码
     */
    private String info;

    /**
     * 年检阶段
     */
    private Integer stepName;

    /**
     * 年检完成状态（0 待完成；1 已完成；2 超期）
     */
    private int status;

    @Judger(message = "当前用户ID有误")
    private Long userId;
    /**
     * 自检时间
     */
    @Judger(message = "缺少自检时间")
    private LocalDate selfcheckDate;
    /**
     * 自检报告路径
     */
    @Judger(message = "缺少自检报告图片")
    private String selfcheckReportImg;
    /**
     * 检验结果图片路径
     */
    @Judger(message = "缺少检验图片")
    private String checkResultImg;
    /**
     * 现场检验时间
     */
    @Judger(message = "缺少检验时间")
    private LocalDate checkDate;

    /**
     * 合格证图片路径
     */
    @Judger(message = "缺少合格证图片")
    private String certificateImgUrl;

    /**
     * 年检报告图片路径
     */
    @Judger(message = "缺少年检报告图片")
    private String annualInspectionImg;
}
