package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/2/3
 * @description 大修
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalRepair extends BaseEntity {
    /**
     * 项目ID
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 甲方公司ID
     */
    private Long ppCompanyId;

    /**
     * 甲方联系人ID
     */
    private Long ppContactId;

    /**
     * 项目编号
     */
    private String code;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 省编码
     */
    private String provinceCode;

    /**
     * 省
     */
    private String province;

    /**
     * 市编码
     */
    private String cityCode;

    /**
     * 市
     */
    private String city;

    /**
     * 区编码
     */
    private String districtCode;

    /**
     * 区
     */
    private String district;

    /**
     * 项目地址
     */
    private String address;

    /**
     * 台量
     */
    private Integer num;

    /**
     * 实际台量
     */
    private Integer actualNum;

    /**
     * 开始时间
     */
    private LocalDate startDate;

    /**
     * 结束时间
     */
    private LocalDate endDate;

    /**
     * 状态 1:尚未开始;2:施工中;3:待审核;4:完成
     */
    private String status;

    /**
     * 是否开启消息推送 0否 1是
     */
    private String pushFlag;

    /**
     * 区域ID
     */
    private Long regionId;
}
