package cn.com.ty.lift.business.capital.service;

import cn.com.ty.lift.business.capital.dao.entity.SignIn;
import cn.com.ty.lift.business.capital.dao.entity.model.request.SignInRequest;
import cn.com.ty.lift.business.capital.dao.entity.model.response.SignInResponse;
import cn.com.ty.lift.business.capital.dao.mapper.SignInMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author bieao
 * @date 2020/2/5
 * @description 大修签到业务层
 */
@Service
public class SignInService extends ServiceImpl<SignInMapper, SignIn> {


    /**
     * @param entry 用户签到信息
     * @return 是否成功
     * @description 大修签到
     * @date 2020/2/5 12:42 下午
     */
    public boolean add(SignIn entry) {
        return save(entry);
    }

    /**
     * @param request 大修签到查询条件
     * @return RestResponse 结果集
     * @description 条件查询大修项目签到列表
     * @date 2020/2/5 12:58 下午
     */
    public IPage<SignInResponse> list(SignInRequest request) {
        IPage<SignInResponse> page = new Page<>(request.getPageNum(), request.getPageSize());
        return baseMapper.findByCondition(page, request);
    }
}
