package cn.com.ty.lift.business.emergency.dto;

import cn.com.ty.lift.business.emergency.entity.ErRecordCost;
import cn.com.ty.lift.common.utils.Judger;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *     根据条件分页查询急修单，条件封装model
 * </p>
 * @author wcz
 * @since  2019/12/5
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RepairRequest extends BaseRequestModel{

    /**
     * 主键id
     */
    @Judger(message = "急修ID有误")
    private Long id;
    /**
     * 维保公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 电梯id
     */
    @Judger(message = "电梯ID有误")
    private Long liftId;

    /**
     * 区域id
     */
    @Judger(message = "区域ID有误")
    private Long regionId;

    /**
     * 项目id
     */
    @Judger(message = "项目ID有误")
    private Long projectId;

    /**
     * 维保工id
     */
    @Judger(message = "维保工ID有误")
    private Long workerId;

    /**
     * 报修开始时间
     */
    private LocalDateTime repairBegin;

    /**
     * 报修结束时间
     */
    private LocalDateTime repairEnd;

    /**
     * 急修单状态
     */
    private Integer status;

    /**
     * 电梯注册代码，多条件字段模糊匹配
     */
    private String info;

    /**
     * 故障来源
     */
    private Integer source;


    /**
     * 接单时间 app端维保工确认
     */
    @Judger(message = "缺少接单时间")
    private LocalDateTime takingTime;

    /**
     *
     * 到达时间 app端维保工打卡
     */
    @Judger(message = "缺少到达时间")
    private LocalDateTime arriveTime;

    /**
     * 停梯时间
     */
    @Judger(message = "缺少停梯时间")
    private LocalDateTime stopDate;

    /**
     * 签到位置
     */
    @Judger(message = "缺少签到位置")
    private String position;

    /**
     *
     */
    @Judger(message = "当前用户ID有误")
    private Long userId;

    /**
     * 电梯类型
     */
    @Judger(message = "电梯类型有误")
    private Integer liftCategory;

    /**
     * 急修关闭原因
     */
    @Judger(message = "缺少急修关闭原因")
    private String closeReason;

    /**
     * 急修收费项id
     */
    @Judger(message = "急修收费项ID有误")
    private Long erCostItemId;
    /**
     * 急修项列表
     */
    @Judger(message = "缺少急修收费列表")
    private List<ErRecordCost> erRecordCosts;

    /**
     * 安全确认
     */
    @Judger(message = "缺少安全确认")
    private String safetyConfirm;

    /**
     * 故障部位
     */
    @Judger(message = "缺少故障部位")
    private String faultPart;
    /**
     * 故障原因
     */
    @Judger(message = "缺少故障原因")
    private String faultReason;
    /**
     * 故障处理
     */
    @Judger(message = "缺少故障处理")
    private String faultHandle;
    /**
     * 故障性质
     */
    @Judger(message = "缺少故障性质")
    private String faultNature;
    /**
     * 故障责任
     */
    @Judger(message = "缺少故障责任")
    private String faultDuty;

    /**
     * 恢复时间
     */
    @Judger(message = "缺少恢复时间")
    private LocalDateTime recoveryDate;

    /**
     * 主要急修人签名 完成急修单添加
     */
    @Judger(message = "缺少主要急修人签名")
    private String mainSign;
    /**
     * 次要急修人签名
     */
    @Judger(message = "缺少次要急修人签名")
    private String secondSign;

    /**
     * 现场描述
     */
    @Judger(message = "缺少现场描述")
    private String fieldDescription;

    /**
     * 急修图片地址
     */
    @Judger(message = "缺少急修图片")
    private List<String> erRecordImg;
}
