package cn.com.ty.lift.business.emergency.dto;

import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import cn.com.ty.lift.business.emergency.entity.ErRecordCost;
import cn.com.ty.lift.business.emergency.entity.ErRecordImg;
import cn.com.ty.lift.business.emergency.entity.LiftFault;
import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import cn.hutool.core.date.BetweenFormater;
import cn.hutool.core.date.DateUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *     急修请求返回结果
 * </p>
 * @author wcz
 * @since  2019/12/6
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RepairResponse extends EmergencyRepair{

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编号
     */
    private String projectCode;

    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 单位设备编号
     */
    private String useCompanyCode;

    /**
     * 电梯类别
     */
    private Integer liftCategory;
    /**
     * 维修工
     */
    private String workerName;

    /**
     * 创建人(召修人)
     */
    private String createName;
    /**
     * 电梯公司状态
     */
    private Integer liftCompanyStatus;

    /**
     * 维修时长秒数
     */

    private long repairDiff;

    private String repairDuration;
    /**
     * 重新getter方法，换算时长 XX天XX小时XX分XX秒
     * @return
     */
    public String getRepairDuration() {
        return DateUtil.formatBetween(this.repairDiff, BetweenFormater.Level.SECOND);
    }
    /**
     * 急修评价
     */
    private Evaluation evaluation;
    /**
     * 收费项
     */
    private List<ErRecordCost> erRecordCosts;
    /**
     * 急修图片
     */
    private List<ErRecordImg> erRecordImgs;
    /**
     * 故障部位
     */
    private Collection<LiftFault> faultParts;
    /**
     * 故障原因
     */
    private Collection<LiftFault> faultReasons;
    /**
     * 故障处理
     */
    private Collection<LiftFault> faultHandles;
    /**
     * 故障性质
     */
    private Collection<LiftFault> faultNatures;
    /**
     * 故障责任
     */
    private Collection<LiftFault> faultDuties;

}
