package cn.com.ty.lift.business.emergency.service;

import cn.com.ty.lift.business.emergency.dto.RepairRequest;
import cn.com.ty.lift.business.emergency.dto.RepairResponse;
import cn.com.ty.lift.business.emergency.entity.EmergencyRepair;
import cn.com.ty.lift.business.emergency.entity.ErRecordCost;
import cn.com.ty.lift.business.emergency.entity.ErRecordImg;
import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 临修记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2020-02-04
 */
public interface IEmergencyRepairService extends IService<EmergencyRepair> {

    RepairResponse selectByIdWithInfo(RepairRequest request);

    int countRepairing(Long mtCompanyId, Long liftId);

    IPage<RepairResponse> pageByRepairing(RepairRequest request);

    IPage<RepairResponse> pageByCondition(RepairRequest request);

    long countByCondition(RepairRequest request);

    IPage<RepairResponse> pageByUser(RepairRequest request);

    boolean taking(EmergencyRepair entity);

    boolean addCost(EmergencyRepair repair, List<ErRecordCost> erRecordCosts);

    boolean deleteCost(EmergencyRepair repair, ErRecordCost erRecordCost);

    boolean modifyCost(EmergencyRepair repair, List<ErRecordCost> erRecordCosts);

    boolean evaluate(EmergencyRepair repair, Evaluation entity);

    boolean repairOrder(EmergencyRepair entity, List<ErRecordImg> erRecordImgs);

    IPage<RepairResponse> pageByCompanyLiftProject(RepairRequest request);

}
