package cn.com.ty.lift.business.maintenance.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 保养项目
 * </p>
 *
 * @author wcz
 * @since 2020-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintenanceOption implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 保养项目ID
     */
    @TableId("id")
    private Long id;

    /**
     * 保养内容
     */
    private String content;

    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 保养类型  '1.半月，2.季度，3.半年，4.全年'
     */
    private Integer type;

    /**
     * 电梯类别(1:曳引梯;2:液压梯;3:杂物梯;4:自动扶梯;5:自动人行道)
     */
    private Integer liftType;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态  '0.不显示，1.正常'
     */
    private Integer status;

    /**
     * 标记
     */
    private String signage;

    /**
     * 保养项目
     */
    private String item;

    /**
     * 选择的操作 0:无需保养，1：已保养，2：需要更换
     */
    @TableField(exist = false)
    private Integer opt;
}
