package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.ty.lift.common.utils.Judger;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>维保计划请求model</p>
 * @author wcz
 * @since 2020/1/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtPlanRequest extends BaseRequestModel {

    /**
     * 主键id
     */
    @Judger(message = "维保计划ID有误")
    private Long id;

    /**
     * 区域id
     */
    @Judger(message = "区域ID有误")
    private Long regionId;
    /**
     * 项目id
     */
    @Judger(message = "项目ID有误")
    private Long projectId;
    /**
     * 维保工id
     */
    @Judger(message = "维保工ID有误")
    private Long workerId;
    /**
     * 计划开始时间
     */
    private LocalDate planBegin;
    /**
     * 计划结束时间
     */
    private LocalDate planEnd;
    /**
     * 执行时间
     */
    @Judger(message = "缺少计划执行时间")
    private LocalDate workDate;
    /**
     * 公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;
}
