package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.ty.lift.common.utils.Judger;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>维保记录-日常保养</p>
 * @author wcz
 * @since 2020/1/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtRecordRequest extends BaseRequestModel {

    /**
     * 主键id
     */
    @Judger(message = "维保记录ID有误")
    private Long id;

    /**
     * 区域id
     */
    @Judger(message = "区域ID有误")
    private Long regionId;
    /**
     * 项目id
     */
    @Judger(message = "项目ID有误")
    private Long projectId;
    /**
     * 维保工id
     */
    @Judger(message = "维保工ID有误")
    private Long workerId;
    /**
     * 计划开始时间
     */
    private LocalDate planBegin;
    /**
     * 计划结束时间
     */
    private LocalDate planEnd;
    /**
     * 执行时间
     */
    private LocalDate workDate;
    /**
     * 公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;

    /**
     * 电梯类型(1:直梯;2:扶梯)
     */
    @Judger(message = "电梯类型有误")
    private Integer liftType;

    /**
     * 保养类型 1.半月，2.季度，3.半年，4.全年
     */
    @Judger(message = "保养类型有误")
    private Integer type;

    @Judger(message = "缺少维保项")
    private String maintenanceOption;

    @Judger(message = "缺少维保图片")
    private List<String> imgs;

    /**
     * 维保收费项id
     */
    @Judger(message = "维保记录收费项ID有误")
    private Long mtRecordCostId;
}
