package cn.com.ty.lift.business.maintenance.dao.mapper;


import cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceRecord;
import cn.com.ty.lift.business.maintenance.dao.entity.model.request.MaintenanceRecordRequest;
import cn.com.ty.lift.business.maintenance.dao.entity.model.request.MtRecordRequest;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.MaintenanceRecordResponse;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.MtRecordResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * MyBatis Mapper 接口 - 表：maintenance_record
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
public interface MaintenanceRecordMapper extends BaseMapper<MaintenanceRecord> {

    /**
     * @param request 公司id和电梯id
     * @return MaintenanceRecordResponse 保养信息
     * @description 根据公司id和电梯id查询上次保养信息
     * @date 2020/1/6 5:37 下午
     */
    MaintenanceRecordResponse findRecordByCompanyId(@Param("request") MaintenanceRecordRequest request);

    IPage<MtRecordResponse> pageRecordByCondition(IPage<MtRecordResponse> page, @Param("cond") MtRecordRequest request);

    long countRecordByCondition(@Param("cond") MtRecordRequest request);

    MtRecordResponse findByIdWithInfo(@Param("cond") MtRecordRequest request);
}