package cn.com.ty.lift.business.maintenance.service;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceOption;
import cn.com.ty.lift.business.maintenance.dao.mapper.MaintenanceOptionMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 保养项目 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2020-01-17
 */
@Service
public class MaintenanceOptionService extends ServiceImpl<MaintenanceOptionMapper, MaintenanceOption> {

    /**
     * 根据维保项类型，电梯类型，维保公司id查询维保项
     * @param type 维保类型
     * @param liftType 电梯类型
     * @param mtCompanyId 维保公司id
     * @return List<MaintenanceOption>
     */
    public List<MaintenanceOption> listByTypeAndLiftType(Integer type,Integer liftType,Long mtCompanyId){
        QueryWrapper<MaintenanceOption> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<MaintenanceOption> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(MaintenanceOption::getMtCompanyId,mtCompanyId);
        lambdaQueryWrapper.eq(MaintenanceOption::getType,type);
        lambdaQueryWrapper.eq(MaintenanceOption::getLiftType,liftType);
        return list(lambdaQueryWrapper);
    }
}
