package cn.com.ty.lift.enterprise.oa.dto;

import cn.com.ty.lift.common.utils.Judger;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *     操作证请求参数体
 * </p>
 * @author wcz
 * @since  2019/12/12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiftCertificateRequest extends BaseRequestModel{
    /**
     * 主键id
     */
    @Judger(message = "操作证ID有误")
    private Long id;
    /**
     * 维保公司id
     */
    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;
    /**
     * 用户名称
     */
    @Judger(message = "缺少用户名")
    private String username;
    /**
     * 操作证类型 1: 维保工操作证 (12：区域经理,13：维保工),2: 其他操作证
     */
    @Judger(message = "缺少操作证类型")
    private String certificateType;
    /**
     * 操作证状态
     */
    @Judger(message = "缺少操作证状态")
    private Integer status;
    /**
     * 审核是否通过 true：通过，false：不通过
     */
    private boolean pass;
}
