package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 打卡签到图片
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AttendanceImg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;
    /**
     * 打卡记录ID
     */
    @NotNull(message = "打卡记录不能为空")
    @Range(min = 1,message = "打卡记录有误")
    private Long attendanceId;

    /**
     * 图片路径
     */
    @NotNull(message = "图片不能为空")
    private String imgUrl;

    /**
     * 排序
     */
    private Integer sort;
}
